#ifndef __LIST_H
#define __LIST_H

typedef struct
{
	int item_count;
	int max_count;

	void **items;
	char **names;	
} list;




void list_make(list *listo, int size);
int list_add_item(list *listo, void *item, char *name);
char* list_print_items(list *listo);
void* list_get_name(list *listo, char *name);
void* list_get_index(list *listo, int indx);
void* list_get_item(list *listo, void *item_to_find);
void list_delete_index(list *listo, int indx);
void list_delete_name(list *listo, char *name);
void list_delete_item(list *listo, void *item);
void list_print_list(list *listo);

#endif
